package com.zehong.system.service;

import java.util.List;
import java.util.Map;

import com.zehong.system.domain.TLpgAirChargeFiles;
import com.zehong.system.domain.TLpgVehicleInfo;

import javax.servlet.http.HttpServletResponse;

/**
 * 液化石油气-充装记录Service接口
 * 
 * @author zehong
 * @date 2024-07-09
 */
public interface ITLpgAirChargeFilesService 
{
    /**
     * 查询液化石油气-充装记录
     * 
     * @param fGasAirChargeId 液化石油气-充装记录ID
     * @return 液化石油气-充装记录
     */
    public TLpgAirChargeFiles selectTLpgAirChargeFilesById(Long fGasAirChargeId);

    public Integer selectTLpgAirChargeFilesTotal();

    /**
     * 查询液化石油气-充装记录列表
     * 
     * @param tLpgAirChargeFiles 液化石油气-充装记录
     * @return 液化石油气-充装记录集合
     */
    public List<TLpgAirChargeFiles> selectTLpgAirChargeFilesList(TLpgAirChargeFiles tLpgAirChargeFiles);


    /**
     * 2024-09-12 wh 查询数据为了导出用 限制导出数量
     * @param tLpgAirChargeFiles t
     * @return r
     */
    public List<TLpgAirChargeFiles> queryAllForExport(TLpgAirChargeFiles tLpgAirChargeFiles);

    /**
     * 新增液化石油气-充装记录
     * 
     * @param tLpgAirChargeFiles 液化石油气-充装记录
     * @return 结果
     */
    public int insertTLpgAirChargeFiles(TLpgAirChargeFiles tLpgAirChargeFiles);

    /**
     * 修改液化石油气-充装记录
     * 
     * @param tLpgAirChargeFiles 液化石油气-充装记录
     * @return 结果
     */
    public int updateTLpgAirChargeFiles(TLpgAirChargeFiles tLpgAirChargeFiles);

    /**
     * 批量删除液化石油气-充装记录
     * 
     * @param fGasAirChargeIds 需要删除的液化石油气-充装记录ID
     * @return 结果
     */
    public int deleteTLpgAirChargeFilesByIds(Long[] fGasAirChargeIds);

    /**
     * 删除液化石油气-充装记录信息
     * 
     * @param fGasAirChargeId 液化石油气-充装记录ID
     * @return 结果
     */
    public int deleteTLpgAirChargeFilesById(Long fGasAirChargeId);

    /**
     * 导入
     * @param xmbhList data
     * @param updateSupport 是否更新
     * @param response res
     * @return r
     */
    public Map<String,Object> importLpgAirChargeFileInfo(List<TLpgAirChargeFiles> xmbhList, boolean updateSupport, HttpServletResponse response);

}
